# frozen_string_literal: true

require_relative "lib/dmcli/version"

Gem::Specification.new do |spec|
  spec.name          = "dungeon_master_tools"
  spec.version       = Dmcli::VERSION
  spec.authors       = ["Shane Rainville"]
  spec.email         = ["shane.rainville@gmail.com"]

  spec.summary       = "Dungeon Master utility"
  spec.description   = "Command-line tool for Dungeons and Dragons data files"
  spec.homepage      = "https://www.shanerainville.com"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 3.0.0")

  # spec.metadata["allowed_push_host"] = "TODO: Set to 'http://mygemserver.com'"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/serainville/dmcli"
  spec.metadata["changelog_uri"] = "https://github.com/serainville/dmcli"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{\A(?:test|spec|features)/}) }
  end
  spec.bindir = "bin"
  spec.executables << "dmcli"
  spec.require_paths = ["lib"]

  # Uncomment to register a new dependency of your gem
  # spec.add_dependency "example-gem", "~> 1.0"
  spec.add_development_dependency "rspec", "~> 3.2"

  spec.add_dependency "nokogiri", "~> 1.11.4"
  spec.add_dependency "thor", "~> 1.1.0"

  # For more information and examples about making a new gem, checkout our
  # guide at: https://bundler.io/guides/creating_gem.html
end
